<?php
/**
 *  This file is part of devMX TeamSpeak3 Webviewer for Wordpress.
 *  Copyright (C) 2012  Maximilian Narr
 *
 *  devMX TeamSpeak3 Webviewer for Wordpress is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  TeamSpeak3 Webviewer is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with devMX TeamSpeak3 Webviewer for Wordpress.  If not, see <http://www.gnu.org/licenses/>.
 */
?>

<div class="wrap">
    <div id="icon-options-general" class="icon32"></div>
    <h2><?php _e('TeamSpeak3 Webviewer - Edit or add configuration', 'tswv') ?></h2>

    <?php if ($configAdded) : ?>
        <div class="updated settings-error">
            <p><?php _e("Configuration successfully added.", 'tswv') ?></p>
        </div>
    <?php endif; ?>

    <?php if ($configUpdated) : ?>
        <div class="updated settings-error">
            <p><?php _e("Configuration successfully updated.", 'tswv') ?></p>
        </div>
    <?php endif; ?>

    <form name="<?php $formName ?>" method="POST">
        <h3><?php _e('Settings', 'tswv') ?></h3>
        <input type="hidden" name="<?php echo $hiddenFieldName; ?>" value="Y">
        <input type="hidden" name="config-id" value="<?php echo ($config['id']) ?>">
        <table class="form-table">
            <tbody>
                <tr>
                    <th><?php _e('Configname', 'tswv') ?></th>
                    <td><input name="configname" id="configname" type="text" value="<?php echo ($config['configname']) ?>"/>
                        <span class="description"><?php _e('Name of the configuration.', 'tswv') ?></span>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Serveradress', 'tswv') ?></th>
                    <td>
                        <input name="serveradress" id="serveradress" type="text" value="<?php echo ($config['serveradress']) ?>" />
                        <span class="description"><?php _e('Adress to the server. Can be an url or an ip adress.', 'tswv') ?></span>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Serverport', 'tswv') ?></th>
                    <td>
                        <input name="serverport" id="serverport" type="text" value="<?php echo ($config['serverport']) ?>" />
                        <span class="description"><?php _e('Port of the virtual server. Default: 9987', 'tswv') ?></span>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Queryport', 'tswv') ?></th>
                    <td>
                        <input name="queryport" id="queryport" type="text" value="<?php echo ($config['queryport']) ?>" />
                        <span class="description"><?php _e('Queryport of the server. Default: 10011', 'tswv') ?></span>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Username', 'tswv') ?></th>
                    <td>
                        <input name="username" id="username" type="text" value="<?php echo ($config['username']) ?>" />
                        <span class="description"><?php _e('Username of the user to login to the query. Optional.', 'tswv') ?></span>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Password', 'tswv') ?></th>
                    <td>
                        <input name="password" id="password" type="text" value="<?php echo ($config['password']) ?>" />
                        <span class="description"><?php _e('Password of the user to login to the query. Optional.', 'tswv') ?></span>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3><?php _e('Advanced configuration', 'tswv')?></h3>
         <table class="form-table">
            <tbody>
                <tr>
                    <th><?php _e('Automatic icon download', 'tswv') ?></th>
                    <td>
                        <input type="radio" name="downloadIcons" value="1" <?php if($config['downloadIcons']) : ?>checked="checked"<?php endif?>> <?php _e('Yes', 'tswv') ?><br>
                        <input type="radio" name="downloadIcons" value="0" <?php if(!$config['downloadIcons']) : ?>checked="checked"<?php endif?>> <?php _e('No', 'tswv') ?>
                    </td>
                    <td><span class="description"><?php _e('If custom icons should be downloaded automatically.', 'tswv') ?></span></td>
                </tr>
                <tr>
                    <th><?php _e('Countryicons', 'tswv') ?></th>
                    <td>
                        <input type="radio" name="countryIcons" value="1" <?php if($config['countryIcons']) : ?>checked="checked"<?php endif?>> <?php _e('Yes', 'tswv') ?><br>
                        <input type="radio" name="countryIcons" value="0" <?php if(!$config['countryIcons']) : ?>checked="checked"<?php endif?>> <?php _e('No', 'tswv') ?>                       
                    </td>
                    <td><span class="description"><?php _e('If country icons should be displayed near to the client.', 'tswv') ?></span></td>
                </tr>
            </tbody>
        </table>
        <p class="submit"><input type="submit" name="submit" id="submit" class="button-primary" value="<?php _e('Save', 'tswv') ?>"/></p>
    </form>
</div>
